Package wx :: Package py :: Module introspect

[frames | no frames]

## Module wx.py.introspect

Provides a variety of introspective-type support functions for things like call tips and command auto completion.

Function Summary
| ``getAllAttributeNames`(object)` Return dict of all attributes, including inherited, for an object.
| ``getAttributeNames`(object, includeMagic, includeSingle, includeDouble)` Return list of unique attributes, including inherited, for object.
| ``getAutoCompleteList`(command, locals, includeMagic, includeSingle, includeDouble)` Return list of auto-completion options for command.
| ``getBaseObject`(object)` Return base object and dropSelf indicator for an object.
| ``getCallTip`(command, locals)` For a command, return a tuple of object name, argspec, tip text.
| ``getConstructor`(object)` Return constructor for class object, or None if there isn't one.
| ``getRoot`(command, terminator)` Return the rightmost root portion of an arbitrary Python command.
| ``getTokens`(command)` Return list of token tuples for command.
| `hasattrAlwaysReturnsTrue(object)`
| ``rtrimTerminus`(command, terminator)` Return command minus anything that follows the final terminator.

Variable Summary
`str` | `__author__` = `"Patrick K. O'Brien <pobrien@orbtech.com>"`
`str` | `__cvsid__` = `'$Id: introspect.py,v 1.15 2006/06/29 22:23:...`
`str` | `__revision__` = `'1.15'`

Function Details

### getAllAttributeNames(object)

Return dict of all attributes, including inherited, for an object.

Recursively walk through a class and all base classes.

### getAttributeNames(object, includeMagic=1, includeSingle=1, includeDouble=1)

Return list of unique attributes, including inherited, for object.

### getAutoCompleteList(command='', locals=None, includeMagic=1, includeSingle=1, includeDouble=1)

Return list of auto-completion options for command.

The list of options will be based on the locals namespace.

### getBaseObject(object)

Return base object and dropSelf indicator for an object.

### getCallTip(command='', locals=None)

For a command, return a tuple of object name, argspec, tip text.

The call tip information will be based on the locals namespace.

### getConstructor(object)

Return constructor for class object, or None if there isn't one.

### getRoot(command, terminator=None)

Return the rightmost root portion of an arbitrary Python command.

Return only the root portion that can be eval()'d without side effects. The command would normally terminate with a '(' or '.'. The terminator and anything after the terminator will be dropped.

### getTokens(command)

Return list of token tuples for command.

### rtrimTerminus(command, terminator=None)

Return command minus anything that follows the final terminator.

Variable Details

### __author__

  Type:
    `str`
  Value:

        "Patrick K. O'Brien <pobrien@orbtech.com>"

### __cvsid__

  Type:
    `str`
  Value:

        '$Id: introspect.py,v 1.15 2006/06/29 22:23:19 RD Exp $'

### __revision__

  Type:
    `str`
  Value:

        '1.15'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:20 2007 | http://epydoc.sf.net